Name:          libmodulemd
Version:       2.15.1
Release:       1mamba
Summary:       C Library for manipulating module metadata files
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/fedora-modularity/libmodulemd
Source:        https://github.com/fedora-modularity/libmodulemd.git/%{version}/libmodulemd-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libpython311-devel
BuildRequires: librpm-devel
BuildRequires: libyaml-devel
## AUTOBUILDREQ-END
BuildRequires: python3 >= 3.11
BuildRequires: librpm-devel >= 4.19.1.1
BuildRequires: python-autopep8-py3
BuildRequires: pygobject-py3
BuildRequires: pycodestyle-py3
BuildRequires: glib-apidocs
Requires:      python-autopep8-py3

%description
C Library for manipulating module metadata files.
This package contains shared libraries for %{name}.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package -n modulemd
Group:         System/Tools
Summary:       Tools provided with %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n modulemd
This package contains the tools provided with %{name}.

%prep
%setup -q

%build
%meson \
   -Dpython_name=%{__python3}

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libmodulemd.so.*
%{_libdir}/girepository-1.0/Modulemd-2.0.typelib
%{python3_sitearch}/gi/overrides/Modulemd.py
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/modulemd-2.0
%{_includedir}/modulemd-2.0/*
%{_libdir}/libmodulemd.so
%{_libdir}/pkgconfig/modulemd-2.0.pc
%{_datadir}/gir-1.0/Modulemd-2.0.gir
%dir %{_datadir}/gtk-doc/html/modulemd-2.0
%{_datadir}/gtk-doc/html/modulemd-2.0/*
%doc README.md

%files -n modulemd
%defattr(-,root,root)
%{_bindir}/modulemd-validator
%{_mandir}/man1/modulemd-validator.1*

%changelog
* Wed May 21 2025 Automatic Build System <autodist@openmamba.org> 2.15.1-1mamba
- automatic version update by autodist

* Wed May 15 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.15.0-3mamba
- rebuilt with patch for glib 2.80.1

* Mon May 13 2024 Automatic Build System <autodist@openmamba.org> 2.15.0-2mamba
- rebuilt with rpm 4.19.1.1

* Wed Oct 18 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.15.0-1mamba
- update to 2.15.0
- source renamed from modulemd to libmodulemd

* Wed Oct 18 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.13.0-2mamba
- rebuilt with python3 == 3.11

* Sun Oct 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.13.0-1mamba
- update to 2.13.0

* Sun Mar 07 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.0-2mamba
- rebuilt by autoport with build requirements: librpm-devel>=4.16.1.2-1mamba

* Fri Jan 29 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.0-1mamba
- update to 2.12.0

* Sat Nov 28 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.0-1mamba
- update to 2.10.0

* Sat Aug 15 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.4-1mamba
- update to 2.9.4

* Sat Jun 22 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0-1mamba
- update to 2.5.0

* Sun Jun 02 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-1mamba
- update to 2.1.0

* Fri Dec 28 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-1mamba
- package created using the webbuild interface
